Subject: Re: Best Time to take MELATONIN

From: [email-masked] (JohnPratt)
Date: 4 Oct 1995 21:08:58 -0400

I think it increased my REM as well.  The problem is that I did remember
my dreams.  I didn't feel like I was getting a good night's sleep because
'em; they weren't always pleasent.  [I seen several people make this same
observation.]  I now take it several hours before bed time (and only
1.5mg).  Even this amount has a potent effect.